"""
script for regularly sending updates on shares and news based on user interval
"""
__author__ = "Florian Kellermann, Linus Eickhoff"
__date__ = "05.04.2022"
__version__ = "0.0.1" 
__license__ = "None"

import shares.share_fetcher as share_fetcher
import news.news_fetcher as news_fetcher

import datetime
import sys
from apscheduler.schedulers.blocking import BlockingScheduler

'''
* * * * * code
┬ ┬ ┬ ┬ ┬
│ │ │ │ │
│ │ │ │ └──── weekday (0->Monday, 7->Sunday)
│ │ │ └────── Month (1-12)
│ │ └──────── Day (1-31)
│ └────────── Hour (0-23)
└──────────── Minute (0-59)

example 0 8 * * * -> daily update at 8am
'''

def user_updates():
    """sends timed updates automatically to user

    Args:
        
    Returns:
    
    """
    return